import Contacts from "@/feature/messenger/components/modals/Contacts";
import AnswerButton from "@/feature/messenger/components/ui/buttons/AnswerButton";
import EmojiButton from "@/feature/messenger/components/ui/buttons/EmojiButton";
import OptionsButton from "@/feature/messenger/components/ui/buttons/OptionsButton";
import RecordAudioButton from "@/feature/messenger/components/ui/buttons/RecordAudioButton";
import TextareaChat from "@/feature/messenger/components/ui/inputs/TextareaChat";
import Gallery from "@/feature/messenger/components/modals/Gallery";
import FollowUp from "@/feature/messenger/components/modals/FollowUp";
import FastAnswer from "@/feature/messenger/components/fast_answer/FastAnswer";
import ReSendMessage from "@/feature/messenger/components/modals/ReSendMessage";
import ContactView from "@/feature/messenger/components/modals/ContactView";
import TextareaChatMobile from "@/feature/messenger/components/ui/inputs/TextareaChatMobile";
import usePermissionChat from "@/feature/messenger/hooks/usePermissionChat";

export default function FooterChat() {
    const permisions = usePermissionChat()
    return (
        <>
            <footer className="w-full p-4 flex md:hidden justify-center items-center dark:bg-gray-700">
                <TextareaChatMobile />
            </footer>
            <footer className="w-full h-32 p-4 hidden md:flex justify-center items-center dark:bg-gray-700">
                <div className="w-full flex flex-row justify-between items-center gap-1 md:gap-2">
                    <div className="hidden md:flex">
                        <AnswerButton />
                    </div>
                    <div className="hidden md:flex">
                        {permisions.envia_emojis && <EmojiButton />}
                    </div>
                    <div className="hidden md:flex">
                        <OptionsButton />
                    </div>
                    <div className="p-2 flex justify-center items-center gap-2 md:gap-3 w-full">
                        <TextareaChat />
                    </div>
                    <div>
                        {permisions.envia_voz && <RecordAudioButton />}
                    </div>
                </div>

                {/* Footer Modal */}
                <Gallery />
                <Contacts />
                <FollowUp />
                <FastAnswer />
                <ReSendMessage />
                <ContactView />
            </footer>
        </>
    )
}